OMSA 5 Install Problem on RHEL4 i386 (OpenIPMI driver RPM version35.13)

Chris_Purcell at Dell.com Chris_Purcell at Dell.com
Thu Aug 10 17:51:08 CDT 2006


Error! Could not locate ipmi_si_drv.ko for module openipmi in the DKMS tree.
You must run a dkms build for kernel 2.6.9-34.0.2.ELsmp (i686) first.

This part of the error text states that you must do a dkms build (to build the driver module) before it can be installed.
More than likely there is an incomplete dkms.conf packaged with the driver.
Do the following to install the module:
`dkms status` - Verify that the openipmi driver is listed.
`dkms build -m <modulename> -k <kernelversion>` to build the driver, for example:
dkms build -m openipmi-33.13-RHEL4 -k 2.6.9-34.0.2.ELsmp

If the build completes correctly, then we need to install the driver, as such:
dkms install -m <modulename> -k <kernelversion>

If that is successful as well, reattempt the OMSA install.
If that still fails, call Dell support or possibly post the dkms.conf here and any error text you get from the above steps.


Chris T. Purcell
Dell Services
EEC Gold Server Analyst
Phone: 1-800-945-3355 ext 7286090
Dell Services Website <http://www1.us.dell.com/content/topics/global.aspx/services/en/index?c=us&cs=555&l=en&s=biz>

How am I doing? Email my manager John Bailey at: John_S_Bailey at Dell.com with any feedback.


-----Original Message-----
From: linux-poweredge-bounces at dell.com [mailto:linux-poweredge-bounces at dell.com] On Behalf Of Hansjörg Maurer
Sent: Thursday, August 10, 2006 10:24 AM
To: linux-poweredge-Lists
Subject: OMSA 5 Install Problem on RHEL4 i386 (OpenIPMI driver RPM version35.13)

Hi

I installed omsa5 (OMI-50-MN-LX_A01.tar.gz) on a RHEL4U3 system via the install script linux/supportscripts/srvadmin-install.sh

it leads to the following error
The scripts seems to try to install the openimpi Driver version 35.13 of rhel3 on the rhel4 System

The Installatillation on a RHEL4U3 x84_64 system went fine
There openipmi.noarch                          33.13.RHEL4-1dkms     
installed
seems to be installed

What could be the reason of the problem

Greetings

hansjörg



Server Administrator requires a newer version of the OpenIPMI driver modules for the running kernel than are currently installed on the system. The OpenIPMI driver modules for the running kernel will be upgraded by upgrading the OpenIPMI driver RPM.

 - DKMS install: Installing/upgrading DKMS RPM version 2.0.11-1

Preparing...                ###########################################
[100%]
        package dkms-2.0.13-1 (which is newer than dkms-2.0.11-1) is already installed

 - OpenIPMI install: Installing/upgrading OpenIPMI driver RPM version 35.13

Preparing...                ###########################################
[100%]
   1:openipmi               ###########################################
[100%]

Loading kernel module source and prebuilt module binaries (if any) Installing prebuilt kernel module binaries (if any)

Kernel preparation unnecessary for this kernel.  Skipping...
applying patch fixup_includes.patch...patching file ipmi.h patching file ipmi_bt_sm.c patching file ipmi_devintf.c patching file ipmi_imb.c patching file ipmi_kcs_intf.c patching file ipmi_kcs_sm.c patching file ipmi_msghandler.c patching file ipmi_poweroff.c patching file ipmi_si.c patching file ipmi_smb_intf.c patching file ipmi_smi.h patching file ipmi_smic_sm.c patching file ipmi_watchdog.c


Building module:
cleaning build area....(bad exit status: 2) make KERNELRELEASE=2.6.9-34.0.2.ELsmp -C /lib/modules/2.6.9-34.0.2.ELsmp/build
M=/var/lib/dkms/openipmi/35.13.RHEL3/build....(bad exit status: 2)

Error! Bad return status for module build on kernel: 2.6.9-34.0.2.ELsmp
(i686)
Consult the make.log in the build directory /var/lib/dkms/openipmi/35.13.RHEL3/build/ for more information.

Error! Could not locate ipmi_si_drv.ko for module openipmi in the DKMS tree.
You must run a dkms build for kernel 2.6.9-34.0.2.ELsmp (i686) first.

Your DKMS tree now includes:
openipmi, 35.13.RHEL3, 2.4.21-37.EL, ia32e: built openipmi, 35.13.RHEL3, 2.4.21-37.EL, i686: built openipmi, 35.13.RHEL3, 2.4.21-4.EL, i686: built openipmi, 35.13.RHEL3, 2.4.21-37.ELsmp, i686: built openipmi, 35.13.RHEL3, 2.4.21-15.EL, ia32e: built openipmi, 35.13.RHEL3, 2.4.21-37.ELhugemem, i686: built openipmi, 35.13.RHEL3, 2.4.21-4.ELsmp, i686: built openipmi, 35.13.RHEL3, 2.4.21-4.ELhugemem, i686: built

Uninstall of openipmi module (version 33.13.RHEL4) beginning:

-------- Uninstall Beginning --------
Module:  openipmi
Version: 33.13.RHEL4
Kernel:  2.6.9-5.EL (i686)
-------------------------------------

Status: This module version was INACTIVE for this kernel.

DKMS: uninstall Completed.

-------- Uninstall Beginning --------
Module:  openipmi
Version: 33.13.RHEL4
Kernel:  2.6.9-5.EL (x86_64)
-------------------------------------

Status: This module version was INACTIVE for this kernel.

DKMS: uninstall Completed.

-------- Uninstall Beginning --------
Module:  openipmi
Version: 33.13.RHEL4
Kernel:  2.6.9-5.ELsmp (i686)
-------------------------------------

Status: This module version was INACTIVE for this kernel.

DKMS: uninstall Completed.

-------- Uninstall Beginning --------
Module:  openipmi
Version: 33.13.RHEL4
Kernel:  2.6.9-5.ELsmp (x86_64)
-------------------------------------

Status: This module version was INACTIVE for this kernel.

DKMS: uninstall Completed.

-------- Uninstall Beginning --------
Module:  openipmi
Version: 33.13.RHEL4
Kernel:  2.6.9-34.0.2.ELsmp (i686)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

ipmi_msghandler.ko:
 - Uninstallation
   - Deleting from:
/lib/modules/2.6.9-34.0.2.ELsmp/kernel/drivers/char/ipmi/
 - Original module
   - Archived original module found in the DKMS tree
   - Moving it to: /lib/modules/2.6.9-34.0.2.ELsmp/kernel/drivers/char/ipmi/

ipmi_si.ko:
 - Uninstallation
Server Administrator requires a newer version of the OpenIPMI driver modules for the running kernel than are currently installed on the system. The OpenIPMI driver modules for the running kernel will be upgraded by installing an OpenIPMI driver RPM.

 - DKMS install: Installing/upgrading DKMS RPM version 2.0.11-1

Preparing...                ###########################################
[100%]
        package dkms-2.0.13-1 (which is newer than dkms-2.0.11-1) is already installed

 - OpenIPMI install: Installing/upgrading OpenIPMI driver RPM version 35.13

Preparing...                ###########################################
[100%]
   1:openipmi               ###########################################
[100%]

Loading kernel module source and prebuilt module binaries (if any) Installing prebuilt kernel module binaries (if any)

Kernel preparation unnecessary for this kernel.  Skipping...
applying patch fixup_includes.patch...patching file ipmi.h patching file ipmi_bt_sm.c patching file ipmi_devintf.c patching file ipmi_imb.c patching file ipmi_kcs_intf.c patching file ipmi_kcs_sm.c patching file ipmi_msghandler.c patching file ipmi_poweroff.c patching file ipmi_si.c patching file ipmi_smb_intf.c patching file ipmi_smi.h patching file ipmi_smic_sm.c patching file ipmi_watchdog.c


Building module:
cleaning build area....(bad exit status: 2) make KERNELRELEASE=2.6.9-34.0.2.ELsmp -C /lib/modules/2.6.9-34.0.2.ELsmp/build
M=/var/lib/dkms/openipmi/35.13.RHEL3/build....(bad exit status: 2)

Error! Bad return status for module build on kernel: 2.6.9-34.0.2.ELsmp
(i686)
Consult the make.log in the build directory /var/lib/dkms/openipmi/35.13.RHEL3/build/ for more information.

Error! Could not locate ipmi_si_drv.ko for module openipmi in the DKMS tree.
You must run a dkms build for kernel 2.6.9-34.0.2.ELsmp (i686) first.

Your DKMS tree now includes:
openipmi, 35.13.RHEL3, 2.4.21-37.EL, ia32e: built openipmi, 35.13.RHEL3, 2.4.21-37.EL, i686: built openipmi, 35.13.RHEL3, 2.4.21-4.EL, i686: built openipmi, 35.13.RHEL3, 2.4.21-37.ELsmp, i686: built openipmi, 35.13.RHEL3, 2.4.21-15.EL, ia32e: built openipmi, 35.13.RHEL3, 2.4.21-37.ELhugemem, i686: built openipmi, 35.13.RHEL3, 2.4.21-4.ELsmp, i686: built openipmi, 35.13.RHEL3, 2.4.21-4.ELhugemem, i686: built

Error: After install/upgrade of the OpenIPMI driver RPM, the OpenIPMI driver
       modules for the running kernel are neither built nor installed.
       Please review the messages displayed during the install/upgrade of the
       OpenIPMI driver RPM and try to resolve any problems.  After resolving
       any problems, execute this script again.

[root at intra tmp]# uname -a
Linux intra.robotic.dlr.de 2.6.9-34.0.2.ELsmp #1 SMP Fri Jul 7 19:52:49 CDT 2006 i686 i686 i386 GNU/Linux

--
_________________________________________________________________

Dr.  Hansjoerg Maurer           | LAN- & System-Manager
                                |
Deutsches Zentrum               | DLR Oberpfaffenhofen
  f. Luft- und Raumfahrt e.V.   |
Institut f. Robotik             |
Postfach 1116                   | Muenchner Strasse 20
82230 Wessling                  | 82234 Wessling
Germany                         |
                                |
Tel: 08153/28-2431              | E-mail: Hansjoerg.Maurer at dlr.de
Fax: 08153/28-1134              | WWW: http://www.robotic.dlr.de/
__________________________________________________________________


There are 10 types of people in this world, those who understand binary and those who don't.

_______________________________________________
Linux-PowerEdge mailing list
Linux-PowerEdge at dell.com
http://lists.us.dell.com/mailman/listinfo/linux-poweredge
Please read the FAQ at http://lists.us.dell.com/faq



More information about the Linux-PowerEdge mailing list